
@media (min-aspect-ratio: 1.3) {
}
@media (max-aspect-ratio: 1.3) {
	#computer {
        display: none;
	}
	#computer {
		position: relative;
		--pos-x: 0%;
		--pos-y: 10%;
		left: var(--pos-x);
		top: var(--pos-y);
		width: fit-content;
		height: fit-content;
		padding: 0;
		pointer-events: none;
		z-index: 20;
	}
	#portfolio {
		margin-top: 0rem;
	}
	#portfolio > .columns > .rows {
		width: 50%;
		gap: 1em;
	}
	#info.category {
		--width: 100%;
		--left: 0%;
		width: auto;
		min-width: auto;
	}
	#info.category {
		--picture-width: 0%;
	}
	#info.category #picture {
		flex: 1;
		flex-shrink: 0;
		height: 50vh;
		background: url('/resources/assets/moyasi-charm.avif') no-repeat;
		background-size: contain;
		background-position: center;
	}
}

@media (orientation: landscape) {
	body {
		--font-size: 3vh;
	}
}
@media (orientation: portrait) {
	body {
		--font-size: 3vw;
	}
}

@media (orientation: landscape) and (max-height: 600px), 
		(orientation: portrait) and (max-width: 800px) {
	#screen-type:nth-of-type(2)::after {
		content: "scale -> 2";
	}
}
@media (max-aspect-ratio: 1.6) {
	#screen-type:nth-of-type(2)::after {
		content: "crt";
	}	
	body {
		--margin-mult: 0.5;
		--categories-padding: calc(2rem * var(--margin-mult));
		--font-size: 20px;
	}
	#computer {
		--x-offset: -52vh + 20vw;
		--size: 1;
		--image-width: calc(80vw);
		--image-height: calc(100vh * var(--size));
		font-size: var(--font-size);
		position: absolute;
		width: fit-content;
		height: fit-content;
		padding: 0;
		pointer-events: none;
		z-index: 20;
	}

	#computer img {
		position: absolute;
		left: calc(var(--x-offset) * var(--size));
		top: 18vh;
		width: auto;
		height: var(--image-height);
	}
}

@media (min-aspect-ratio: 2.5) {
	#screen-type:nth-of-type(2)::after {
		content: "widescreen";
	}
	#computer {
		--x-offset: -10vh;
		--size: 1;
		--image-width: calc(90vw);
		--image-height: min(176vh, calc(48.5vw * var(--size)));
		--pos-x: 0px;
		--pos-y: 0em;
	}
}